# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)

Gem::Specification.new do |spec|
  spec.name          = 'bankster-transaction'
  spec.version       = '0.1.3'
  spec.authors       = ['Roman Lehnert']
  spec.email         = ['roman.lehnert@googlemail.com']

  spec.summary       = 'Bankster::Transaction'
  spec.description   = 'Shared stuff for bankster servers and clients'
  spec.homepage      = 'http://bankster.io/'
  spec.license       = 'MIT'

  # Prevent pushing this gem to RubyGems.org by setting 'allowed_push_host', or
  # delete this section to allow pushing this gem to any host.
  if spec.respond_to?(:metadata)
    spec.metadata['allowed_push_host'] = "https://rubygems.org"
  else
    raise 'RubyGems 2.0 or newer is required to protect against public gem pushes.'
  end

  spec.files         = `git ls-files -z`.split("\x0")
  spec.bindir        = 'exe'
  spec.executables   = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
  spec.require_paths = ['lib']

  spec.add_runtime_dependency "roar"
  spec.add_runtime_dependency "representable", "~> 2.4"
  spec.add_runtime_dependency "multi_json"
  spec.add_runtime_dependency "money"

  spec.add_development_dependency 'json-schema-rspec'
  spec.add_development_dependency 'bundler', '~> 1.10'
  spec.add_development_dependency 'rake', '~> 10.0'
  spec.add_development_dependency 'rspec'
  spec.add_development_dependency 'factory_girl'
  spec.add_development_dependency 'byebug'
end
