$LOAD_PATH.unshift File.expand_path('../../lib', __FILE__)
require 'bankster/transaction'
require 'byebug'
require 'factory_girl'
require 'json-schema-rspec'

RSpec.configure do |config|

  Dir[File.dirname(__FILE__) + '/../lib/bankster/transaction/schemas/*.json'].each do |file|
    config.json_schemas[File.basename(file, ".json").to_sym] = file
  end
  config.include JSON::SchemaMatchers

  config.include FactoryGirl::Syntax::Methods
  FactoryGirl.find_definitions
end
